<template>
  <div class="note__item d-flex flex-column  flex-column align-items-start pb-0">

    <div class="note__item__header row w-100 align-items-baseline pl-0 ml-0">
      <div class="col-12 col-sm-9 todo-list__note-title pl-0 text-left">{{ note.title }}</div>

      <div class="col-12 col-sm-3 pr-0 text-right" >
         <router-link
        class="btn btn-sm btn-primary mr-sm-1 mb-1 mb-sm-0"
        
        :to="{name: 'noteItem', params: {id: note.id}}"
      >Изменить</router-link>
      <button class="btn btn-sm btn-danger" @click="deleteConfirm">Удалить</button>
      </div>
    </div>

    <div class="todo-list w-100">

      <todo
        v-for="todoItem in note.todos"
        :key="todoItem.id"
        :noteId="note.id"
        :item="todoItem"
      ></todo>
    </div>

  </div>
</template>

<script>
import Todo from "./Todo.vue";
export default {
  components: { Todo },
  props: {
    note: {
      type: Object,
      required: true
    }
  },
  methods: {
    deleteConfirm() {
      this.$emit('delete-confirm', this.note);
    }
  }
};
</script>

<style lang="scss">
.note__item {
  border: 1px solid #ccc;
  padding: 0.5rem 1rem;
  margin-bottom: 1.5rem;
  border-radius: 3px;
}
.todo-list__note-title {
  margin-bottom: 1rem;
  font-weight: bold;
}
</style>